List models
Retrieves a paginated list of models with their metadata.
An Organization API key can pass userId to list models as that member sees them, instead of every model in the organization. A Personal Access Token can only ever act as the calling user.
Branches included via include=activeBranches are not filtered to the named member’s access.
Authorizations
Can be either an Organization API Key or Personal Access Token (PAT).
Include in the Authorization header as: Bearer YOUR_TOKEN
Query Parameters
Filter models by base model ID.
Filter models by connection ID.
If true, include deleted models.
Filter models by a specific model ID.
Filter by model kind.
SCHEMA, SHARED, SHARED_EXTENSION, WORKBOOK, BRANCH, QUERY, TOPIC, FIELD_PICKER_TOPIC Filter models by name.
Number of results per page
1 <= x <= 10020
When true, returns only shared models (modelKind: SHARED) and shared extension models (modelKind: SHARED_EXTENSION) that can be used as a workbook base (allowAsWorkbookBase: true).
Direction for sorting results:
asc- Ascending order (A-Z, 0-9)desc- Descending order (Z-A, 9-0)
asc, desc Field to sort by.
name, modelKind, connectionId, baseModelId, createdAt, updatedAt Comma-separated list of additional fields to include in the response.
activeBranches- Include active branches for each model
activeBranches Organization API key required. The membership ID of the user to act as.

